# sc::IrreducibleRepresentation Class Reference

The IrreducibleRepresentation class provides information associated with a particular irreducible representation of a point group. More...

`#include <pointgrp.h>`

List of all members.

## Public Member Functions

| IrreducibleRepresentation (const IrreducibleRepresentation &)
| IrreducibleRepresentation (int, int, const char *, const char *=0)
| This constructor takes as arguments the order of the point group, the degeneracy of the irrep, and the Mulliken symbol of the irrep.
IrreducibleRepresentation & | operator= (const IrreducibleRepresentation &)
void | init (int=0, int=0, const char *=0, const char *=0)
| Initialize the order, degeneracy, and Mulliken symbol of the irrep.
int | order () const
| Returns the order of the group.
int | degeneracy () const
| Returns the degeneracy of the irrep.
int | complex () const
| Returns the value of complex_.
int | nproj () const
| Returns the number of projection operators for the irrep.
int | nrot () const
| Returns the number of rotations associated with the irrep.
int | ntrans () const
| Returns the number of translations associated with the irrep.
const char * | symbol () const
| Returns the Mulliken symbol for the irrep.
const char * | symbol_ns () const
| Returns the Mulliken symbol for the irrep without special characters.
double | character (int i) const
| Returns the character for the i'th symmetry operation of the point group.
double | p (int x1, int x2, int i) const
| Returns the element (x1,x2) of the i'th representation matrix.
double | p (int d, int i) const
| Returns the character for the d'th contribution to the i'th representation matrix.
void | print (std::ostream &=ExEnv::out0()) const
| This prints the irrep to the given file, or stdout if none is given.

## Friends

class | CharacterTable

## Detailed Description

The IrreducibleRepresentation class provides information associated with a particular irreducible representation of a point group.

This includes the Mulliken symbol for the irrep, the degeneracy of the irrep, the characters which represent the irrep, and the number of translations and rotations in the irrep. The order of the point group is also provided (this is equal to the number of characters in an irrep).

## Constructor & Destructor Documentation

sc::IrreducibleRepresentation::IrreducibleRepresentation | ( | int | ,
|  | int | ,
|  | const char * | ,
|  | const char * | = `0` |
| ) |  |  |

This constructor takes as arguments the order of the point group, the degeneracy of the irrep, and the Mulliken symbol of the irrep.

The Mulliken symbol is copied internally.

## Member Function Documentation

double sc::IrreducibleRepresentation::character | ( | int | i | ) | const`[inline]`

Returns the character for the i'th symmetry operation of the point group.

double sc::IrreducibleRepresentation::p | ( | int | d,
|  | int | i |
| ) |  |  | const`[inline]`

Returns the character for the d'th contribution to the i'th representation matrix.

void sc::IrreducibleRepresentation::print | ( | std::ostream & | = `ExEnv::out0()` | ) | const

This prints the irrep to the given file, or stdout if none is given.

The second argument is an optional string of spaces to offset by.

The documentation for this class was generated from the following file:

- pointgrp.h